> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deposits with Supporting Trans

> Get Deposits from Merchant Account with supporting transactions. Could result in large datasets if range is too large.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/deposit/list-with-trans
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/deposit/list-with-trans:
    get:
      tags:
        - Deposit management
      summary: List Deposits with Supporting Trans
      description: >-
        Get Deposits from Merchant Account with supporting transactions. Could
        result in large datasets if range is too large.
      operationId: listDepositsWithSupportingTrans
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: string
                      description: Must be unique to the Merchant and less than 150 digits.
                      example: '91828382'
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    start_date:
                      type: string
                      description: The start date of the date range.
                      example: '2024-05-01 00:00:00'
                    end_date:
                      type: string
                      description: The end date of the date range.
                      example: '2024-05-01 00:00:00'
              required:
                - data
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Successful Transaction
                    type: object
                    example:
                      data:
                        sid: XXXXX
                        count: 1
                        deposits:
                          '128298672':
                            sid: XXXXX
                            transaction_info_id: '983999999'
                            transaction_id: '382'
                            transaction_date: '2024-05-01T04:00:00.000000Z'
                            fund_date: '2024-05-01 02:20:35'
                            type: withdraw_funds
                            countOfTransactions: 3
                            transTotal: '545.98'
                            transactions:
                              - transaction_type: ACH
                                transaction_status: ACH_PAYMENT_CREDIT
                                transaction_status_description: >-
                                  Successfully completed ACH Payment that has
                                  been posted to the Escrow Account.
                                transaction_number: '369'
                                transaction_date: '2024-04-29T08:30:25.000000Z'
                                fund_date: '2024-04-30T20:05:21.000000Z'
                                settle_date: '2024-04-29T17:51:02.000000Z'
                                amount: '369.0000'
                                description: ''
                                status_code: ''
                                status_text: ''
                                email: ''
                                phone: ''
                                customer_uuid: ''
                                multi_use_token: ''
                                pending: false
                                transaction_info_id: '123123123123'
                                parent_transaction_info_id: '123123123124'
                                billing_address:
                                  first_name: null
                                  last_name: null
                                  addr1: null
                                  addr2: null
                                  city: null
                                  state: null
                                  zip: null
                              - transaction_type: CC
                                transaction_status: CC_CREDIT
                                transaction_status_description: >-
                                  Successful credit/debit card transaction that
                                  brings funds into the ProPay Account.
                                transaction_number: '1919162951'
                                transaction_date: '2024-04-29T08:37:29.000000Z'
                                fund_date: '2024-04-30T20:05:22.000000Z'
                                settle_date: '2024-05-07T11:30:03.000000Z'
                                amount: '103.0800'
                                description: ''
                                status_code: ''
                                status_text: ''
                                email: ''
                                phone: ''
                                customer_uuid: ''
                                multi_use_token: ''
                                pending: false
                                transaction_info_id: '123123123123'
                                parent_transaction_info_id: '123123123124'
                                billing_address:
                                  first_name: null
                                  last_name: null
                                  addr1: null
                                  addr2: null
                                  city: null
                                  state: null
                                  zip: null
                              - transaction_type: CC
                                transaction_status: CC_CREDIT
                                transaction_status_description: >-
                                  Successful credit/debit card transaction that
                                  brings funds into the ProPay Account.
                                transaction_number: '1920383851'
                                transaction_date: '2024-04-29T11:52:43.000000Z'
                                fund_date: '2024-04-30T20:05:22.000000Z'
                                settle_date: '2024-05-07T11:30:03.000000Z'
                                amount: '82.5200'
                                description: ''
                                status_code: ''
                                status_text: ''
                                email: ''
                                phone: ''
                                customer_uuid: ''
                                multi_use_token: ''
                                pending: false
                                transaction_info_id: '123123123123'
                                parent_transaction_info_id: '123123123124'
                                billing_address:
                                  first_name: null
                                  last_name: null
                                  addr1: null
                                  addr2: null
                                  city: null
                                  state: null
                                  zip: null
                    properties:
                      data:
                        type: object
                        properties:
                          sid:
                            type: string
                            example: XXXXX
                            description: Merchant's sid that was requested.
                          count:
                            type: integer
                            example: 1
                            description: >-
                              Number of deposits that have left the escrow
                              account on the way to a merchant account.
                          deposits:
                            type: object
                            properties:
                              '128298672':
                                type: object
                                properties:
                                  sid:
                                    type: string
                                    example: XXXXX
                                  transaction_info_id:
                                    type: string
                                    example: '983999999'
                                  transaction_id:
                                    type: string
                                    example: '382'
                                  transaction_date:
                                    type: string
                                    example: '2024-05-01T04:00:00.000000Z'
                                  fund_date:
                                    type: string
                                    example: '2024-05-01 02:20:35'
                                  type:
                                    type: string
                                    example: withdraw_funds
                                  countOfTransactions:
                                    type: integer
                                    example: 3
                                  transTotal:
                                    type: string
                                    example: '545.98'
                                  transactions:
                                    type: array
                                    example:
                                      - transaction_type: ACH
                                        transaction_status: ACH_PAYMENT_CREDIT
                                        transaction_status_description: >-
                                          Successfully completed ACH Payment that
                                          has been posted to the Escrow Account.
                                        transaction_number: '369'
                                        transaction_date: '2024-04-29T08:30:25.000000Z'
                                        fund_date: '2024-04-30T20:05:21.000000Z'
                                        settle_date: '2024-04-29T17:51:02.000000Z'
                                        amount: '369.0000'
                                        description: ''
                                        status_code: ''
                                        status_text: ''
                                        email: ''
                                        phone: ''
                                        customer_uuid: ''
                                        multi_use_token: ''
                                        pending: false
                                        transaction_info_id: '123123123123'
                                        parent_transaction_info_id: '123123123124'
                                        billing_address:
                                          first_name: null
                                          last_name: null
                                          addr1: null
                                          addr2: null
                                          city: null
                                          state: null
                                          zip: null
                                      - transaction_type: CC
                                        transaction_status: CC_CREDIT
                                        transaction_status_description: >-
                                          Successful credit/debit card transaction
                                          that brings funds into the ProPay
                                          Account.
                                        transaction_number: '1919162951'
                                        transaction_date: '2024-04-29T08:37:29.000000Z'
                                        fund_date: '2024-04-30T20:05:22.000000Z'
                                        settle_date: '2024-05-07T11:30:03.000000Z'
                                        amount: '103.0800'
                                        description: ''
                                        status_code: ''
                                        status_text: ''
                                        email: ''
                                        phone: ''
                                        customer_uuid: ''
                                        multi_use_token: ''
                                        pending: false
                                        transaction_info_id: '123123123123'
                                        parent_transaction_info_id: '123123123124'
                                        billing_address:
                                          first_name: null
                                          last_name: null
                                          addr1: null
                                          addr2: null
                                          city: null
                                          state: null
                                          zip: null
                                      - transaction_type: CC
                                        transaction_status: CC_CREDIT
                                        transaction_status_description: >-
                                          Successful credit/debit card transaction
                                          that brings funds into the ProPay
                                          Account.
                                        transaction_number: '1920383851'
                                        transaction_date: '2024-04-29T11:52:43.000000Z'
                                        fund_date: '2024-04-30T20:05:22.000000Z'
                                        settle_date: '2024-05-07T11:30:03.000000Z'
                                        amount: '82.5200'
                                        description: ''
                                        status_code: ''
                                        status_text: ''
                                        email: ''
                                        phone: ''
                                        customer_uuid: ''
                                        multi_use_token: ''
                                        pending: false
                                        transaction_info_id: '123123123123'
                                        parent_transaction_info_id: '123123123124'
                                        billing_address:
                                          first_name: null
                                          last_name: null
                                          addr1: null
                                          addr2: null
                                          city: null
                                          state: null
                                          zip: null
                                    items:
                                      type: object
                                      properties:
                                        transaction_type:
                                          type: string
                                          example: ACH
                                        transaction_status:
                                          type: string
                                          example: ACH_PAYMENT_CREDIT
                                        transaction_status_description:
                                          type: string
                                          example: >-
                                            Successfully completed ACH Payment that
                                            has been posted to the Escrow Account.
                                        transaction_number:
                                          type: string
                                          example: '369'
                                        transaction_date:
                                          type: string
                                          example: '2024-04-29T08:30:25.000000Z'
                                        fund_date:
                                          type: string
                                          example: '2024-04-30T20:05:21.000000Z'
                                        settle_date:
                                          type: string
                                          example: '2024-04-29T17:51:02.000000Z'
                                        amount:
                                          type: string
                                          example: '369.0000'
                                        description:
                                          type: string
                                          example: ''
                                        status_code:
                                          type: string
                                          example: ''
                                        status_text:
                                          type: string
                                          example: ''
                                        email:
                                          type: string
                                          example: ''
                                        phone:
                                          type: string
                                          example: ''
                                        customer_uuid:
                                          type: string
                                          example: ''
                                        multi_use_token:
                                          type: string
                                          example: ''
                                        pending:
                                          type: boolean
                                          example: false
                                        transaction_info_id:
                                          type: string
                                          example: '123123123123'
                                        parent_transaction_info_id:
                                          type: string
                                          example: '123123123124'
                                        billing_address:
                                          type: object
                                          properties:
                                            first_name:
                                              type: string
                                              example: null
                                              nullable: true
                                            last_name:
                                              type: string
                                              example: null
                                              nullable: true
                                            addr1:
                                              type: string
                                              example: null
                                              nullable: true
                                            addr2:
                                              type: string
                                              example: null
                                              nullable: true
                                            city:
                                              type: string
                                              example: null
                                              nullable: true
                                            state:
                                              type: string
                                              example: null
                                              nullable: true
                                            zip:
                                              type: string
                                              example: null
                                              nullable: true
                            description: containing any deposits matched in the date range.
                  - description: Empty Response
                    type: object
                    example: {}
                    properties: {}
        '400':
          description: Field Validation Failed
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    data.sid:
                      - The data.sid is not the correct format.
                properties:
                  errors:
                    type: object
                    properties:
                      data.sid:
                        type: array
                        example:
                          - The data.sid is not the correct format.
                        items:
                          type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Bad API Key Permission
                    type: object
                    example:
                      data.message: Permission Denied.
                    properties:
                      data.message:
                        type: string
                        example: Permission Denied.
                  - description: No such Merchant
                    type: object
                    example:
                      data.message: No Merchant found with SID provided.
                    properties:
                      data.message:
                        type: string
                        example: No Merchant found with SID provided.
                  - description: User perm issue
                    type: object
                    example:
                      data.message: User not associated with the affiliate.
                    properties:
                      data.message:
                        type: string
                        example: User not associated with the affiliate.
                  - description: Merchant not associated
                    type: object
                    example:
                      data.message: Merchant not associated with affiliate.
                    properties:
                      data.message:
                        type: string
                        example: Merchant not associated with affiliate.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````